MTBL_DUMP(1)

NAME
mtbl_dump - print key-value entries from an MTBL file

SYNOPSIS

mtbl_dump [-s] [-x] [-k ABCD] [-v ABCD] [-K #] [-V #] FILE

DESCRIPTION

mtbl_dump(1) prints all key-value entries from an MTBL file to stdout, in file order.

By default, each entry is printed on its own line, with double quotes surrounding the key and the value, with a single space character separating the two. Unprintable characters and embedded double quote characters are escaped using the Python string literal syntax.

With the -x option, each entry is printed on its own line, formatted as an 8 digit hex length, colon, the hex digit pairs separated by a dash, for each of the key and value. Examples:

    0000006:00-02-61-63-08-64 00000003:f2-e9-e4
    00000004:03-01-2d-00 00000000:

The -k and -v options take as arguments a prefix as a hex-string with no embedded punctuation. For example, -k "00ab" is legal, -v "00-ab" is illegal. With the -k option, only entries whose key matches the prefix will be printed. With the -v option, only entries whose value matches the prefix will be printed.

The -K AND -V options take as arguments a positive integer which specifies the minimum length of the key or value, respectfully.

-k, -v, -K, and -V can all be specified, and only entries that match all will be printed.

OPTIONS

-s
    Silent mode (don’t output anything). Useful for benchmarking.

-x
    Use hex mode output, described above.

-k
    Match on a key prefix, described above.

-v
    Match on a value prefix, described above.

-K
    Match on a key prefix by minimal length, described above.

-V
    Match on a value prefix by minimal length, described above.